Update
curl --request PATCH \
--url https://{defaultHost}/v1/upsells/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upsell": {
"amount_off": 750
}
}
'import requests
url = "https://{defaultHost}/v1/upsells/{id}"
payload = { "upsell": { "amount_off": 750 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upsell: {amount_off: 750}})
};
fetch('https://{defaultHost}/v1/upsells/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/upsells/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'upsell' => [
'amount_off' => 750
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/upsells/{id}"
payload := strings.NewReader("{\n \"upsell\": {\n \"amount_off\": 750\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/upsells/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"upsell\": {\n \"amount_off\": 750\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/upsells/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"upsell\": {\n \"amount_off\": 750\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "e906739f-4cd7-42c5-9485-62dd46179daa",
"object": "upsell",
"amount_off": 750,
"duplicate_purchase_behavior": "allow",
"fee_description": "Upsell Offer",
"metadata": {},
"percent_off": null,
"replacement_behavior": "none",
"step": "initial",
"price": "fedf94e8-2fea-415b-90a9-658d7318a931",
"upsell_funnel": "057330da-7b67-4aa8-babe-1ca08c8b6236",
"discarded_at": null,
"created_at": 1793797020,
"updated_at": 1793797020
}Upsells
Update
Updates a specific upsell.
PATCH
/
v1
/
upsells
/
{id}
Update
curl --request PATCH \
--url https://{defaultHost}/v1/upsells/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"upsell": {
"amount_off": 750
}
}
'import requests
url = "https://{defaultHost}/v1/upsells/{id}"
payload = { "upsell": { "amount_off": 750 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({upsell: {amount_off: 750}})
};
fetch('https://{defaultHost}/v1/upsells/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/upsells/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'upsell' => [
'amount_off' => 750
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/upsells/{id}"
payload := strings.NewReader("{\n \"upsell\": {\n \"amount_off\": 750\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://{defaultHost}/v1/upsells/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"upsell\": {\n \"amount_off\": 750\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/upsells/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"upsell\": {\n \"amount_off\": 750\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "e906739f-4cd7-42c5-9485-62dd46179daa",
"object": "upsell",
"amount_off": 750,
"duplicate_purchase_behavior": "allow",
"fee_description": "Upsell Offer",
"metadata": {},
"percent_off": null,
"replacement_behavior": "none",
"step": "initial",
"price": "fedf94e8-2fea-415b-90a9-658d7318a931",
"upsell_funnel": "057330da-7b67-4aa8-babe-1ca08c8b6236",
"discarded_at": null,
"created_at": 1793797020,
"updated_at": 1793797020
}Authorizations
Response
200 - application/json
Success
Was this page helpful?